Name: aqbanking
Summary: A library for online banking functions and financial data import/export.
Version: 1.0.4beta
Release: 0.fc3
Source: http://download.sourceforge.net/aqbanking/%{name}-%{version}.tar.gz
Group: System Environment/Libraries
License: GPL
URL: http://sourceforge.net/projects/aqbanking
Patch: aqbanking-libdir.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: gwenhywfar-devel
BuildRequires: libofx >= 0.7.0
Prereq: /sbin/ldconfig

%description 
The intention of AqBanking is to provide a middle layer between the
program and the various Online Banking libraries (e.g. AqHBCI). The
first backend which is already supported is AqHBCI, a library which
implements a client for the German HBCI (Home Banking Computer
Interface) protocol. Additionally, Aqbanking provides various plugins
to simplify import and export of financial data. Currently there are
import plugins for the following formats: DTAUS (German financial
format), SWIFT (MT940 and MT942).

%package devel
Summary: Aqbanking development kit
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: gwenhywfar-devel
%description devel
This package contains aqbanking-config and header files for writing and
compiling programs using Aqbanking.

%prep
%setup -q
%patch -p1

%build
%{configure} --disable-static
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install

find $RPM_BUILD_ROOT -name *.la -exec rm -f {} \;

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS README COPYING ChangeLog
%{_libdir}/*.so.*
%{_libdir}/%{name}
%{_libdir}/gwenhywfar
%{_datadir}/%{name}
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo

%files devel
%defattr(-,root,root)
%{_bindir}/aqbanking-config
%{_libdir}/*.so
%{_includedir}/aqbanking
%{_includedir}/aqbanking++
%{_datadir}/aclocal/aqbanking.m4

%changelog
* Wed Feb  9 2005 Bill Nottingham <notting@redhat.com> 1.0.4beta-0.fc3
- initial packaging, adopt upstream specfile
